## ginkgocadx 3.1.0.498.20

=== src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(BUILD_ALL)

SET( GINKGO_VERSION 3.1.0 CACHE STRING "Mayor version number")
SET( GINKGO_REVISION 498 CACHE STRING "Incremental revision number")
SET( GINKGO_BUILD 20 CACHE STRING "Incremental build number")

SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")

SET( USE_SYSTEM_SQLITE       TRUE CACHE BOOL "Build with system SQLite library")
SET( USE_CUSTOM_WX           FALSE CACHE BOOL "Build with custom WX library")
SET( USE_CUSTOM_VTK          FALSE CACHE BOOL "Build with custom VTK library")
SET( USE_CUSTOM_ITK          FALSE CACHE BOOL "Build with custom ITK library")
SET( USE_CUSTOM_DCMTK        FALSE CACHE BOOL "Build with custom DCMTK library")

SET( CUSTOM_PACKAGE          FALSE CACHE BOOL "Custom package")
SET( FORCE_SSE               FALSE CACHE BOOL "Force SSE Flag")
SET( INTERNET_DIST           TRUE CACHE BOOL "Public distribution")

SET( CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING "MacOSX Architectures" FORCE)

IF(NOT CMAKE_BUILD_TYPE)
SET(CMAKE_BUILD_TYPE Release CACHE STRING
"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)


SET( GINKGO_VERSION_STR ${GINKGO_VERSION}.${GINKGO_REVISION}.${GINKGO_BUILD})

#############################################################################################

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/CMake)
INCLUDE(SysDefs)

#############################################################################################

IF(LINUX)
FIND_PACKAGE(GTK2 REQUIRED)
ENDIF()

IF(USE_PATCHED_LIBS)
MESSAGE("Using patched libs")
ENDIF()

IF(NOT USE_CUSTOM_WX)
MESSAGE("Using system wxWidgets")
FIND_PACKAGE(wxWidgets 2.8.11 COMPONENTS core base gl net xml aui adv richtext xrc REQUIRED)
ELSE()
MESSAGE("Using custom wxWidgets")
SET_CUSTOM_wxWidgets_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_VTK)
MESSAGE("Using system VTK")
FIND_PACKAGE(VTK REQUIRED)
ELSE()
MESSAGE("Using custom VTK")
SET_CUSTOM_VTK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_ITK)
MESSAGE("Using system ITK")
FIND_PACKAGE(ITK REQUIRED)
ELSE()
MESSAGE("Using custom ITK")
SET_CUSTOM_ITK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_DCMTK)
MESSAGE("Using system DCMTK")
FIND_PACKAGE(DCMTK 3.6.0 EXACT REQUIRED)
ELSE()
MESSAGE("Using custom DCMTK")
SET_CUSTOM_DCMTK_PACKAGE()
ENDIF()

IF(NOT USE_SYSTEM_SQLITE)
MESSAGE("Using builtin SQLite")
ELSE()
MESSAGE("Using system SQLite")
#FIND_PACKAGE(sqlite REQUIRED)

ENDIF()

#############################################################################################

IF(MACOS)
SET(GINKGO_PROJECT "Ginkgo CADx" CACHE PARENT_SCOPE "")
ELSEIF(LINUX AND CUSTOM_PACKAGE)
SET(GINKGO_PROJECT "ginkgocadx-${ARCH}" CACHE PARENT_SCOPE "")
ELSE()
SET(GINKGO_PROJECT "ginkgocadx" CACHE PARENT_SCOPE "")
ENDIF()

SET(GINKGO_PLUGINS "" CACHE PARENT_SCOPE "")

ADD_SUBDIRECTORY(cadxcore)
ADD_SUBDIRECTORY(ginkgocadx)

IF(BUILD_VISUALIZATION_EXT)
ADD_SUBDIRECTORY(visualizator)
ENDIF()

ADD_CUSTOM_TARGET(${PROJECT_NAME} echo)

MESSAGE("Building ${GINKGO_PROJECT} ${GINKGO_VERSION_STR}")

ADD_DEPENDENCIES(${PROJECT_NAME} "${GINKGO_PROJECT}")

IF(BUILD_VISUALIZATION_EXT)
ADD_DEPENDENCIES(${PROJECT_NAME} visualizator)
LIST(APPEND GINKGO_PLUGINS "visualizator")
ENDIF()

IF(CUSTOM_PACKAGE)

SET( DEST "${CMAKE_CURRENT_BINARY_DIR}/dist" )
PACKAGE_RULES( "${PROJECT_NAME}" "${ARCH}" "${DEST}" )
ENDIF()

=== src/cadxcore/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(CADxCore)

################ SOURCES ################

AUX_SOURCE_DIRECTORY(api SRCS)
AUX_SOURCE_DIRECTORY(api/controllers SRCS)
AUX_SOURCE_DIRECTORY(api/helpers SRCS)
AUX_SOURCE_DIRECTORY(api/math SRCS)
AUX_SOURCE_DIRECTORY(api/observers SRCS)
AUX_SOURCE_DIRECTORY(api/dicom SRCS)
AUX_SOURCE_DIRECTORY(api/threads SRCS)
AUX_SOURCE_DIRECTORY(api/internationalization SRCS)
AUX_SOURCE_DIRECTORY(api/toolsystem SRCS)
AUX_SOURCE_DIRECTORY(api/utils SRCS)

AUX_SOURCE_DIRECTORY(export SRCS)
AUX_SOURCE_DIRECTORY(export/tools SRCS)
AUX_SOURCE_DIRECTORY(export/observers SRCS)
AUX_SOURCE_DIRECTORY(export/contracts SRCS)

AUX_SOURCE_DIRECTORY(main SRCS)
AUX_SOURCE_DIRECTORY(main/controllers SRCS)
AUX_SOURCE_DIRECTORY(main/filtering SRCS)
AUX_SOURCE_DIRECTORY(main/utils SRCS)

AUX_SOURCE_DIRECTORY(main/gui SRCS)
AUX_SOURCE_DIRECTORY(main/gui/anonymize SRCS)
AUX_SOURCE_DIRECTORY(main/gui/acquisition SRCS)
AUX_SOURCE_DIRECTORY(main/gui/callibration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/configuration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/countdownmessage SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomeditor SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomdirexport SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomdirmigration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/export SRCS)
AUX_SOURCE_DIRECTORY(main/gui/history3 SRCS)
AUX_SOURCE_DIRECTORY(main/gui/hl7controlwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/import SRCS)
AUX_SOURCE_DIRECTORY(main/gui/license SRCS)
AUX_SOURCE_DIRECTORY(main/gui/logcontrolwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/login SRCS)
AUX_SOURCE_DIRECTORY(main/gui/mainwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/open SRCS)
AUX_SOURCE_DIRECTORY(main/gui/pacsupload SRCS)
AUX_SOURCE_DIRECTORY(main/gui/paneltags SRCS)
AUX_SOURCE_DIRECTORY(main/gui/previewpanel SRCS)
AUX_SOURCE_DIRECTORY(main/gui/print SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomprint SRCS)
AUX_SOURCE_DIRECTORY(main/gui/progress SRCS)
AUX_SOURCE_DIRECTORY(main/gui/selectpacsserver SRCS)
AUX_SOURCE_DIRECTORY(main/gui/startup SRCS)
AUX_SOURCE_DIRECTORY(main/gui/tabtoolbar SRCS)
AUX_SOURCE_DIRECTORY(main/gui/taskcontrol SRCS)
AUX_SOURCE_DIRECTORY(main/gui/toolsystem SRCS)

AUX_SOURCE_DIRECTORY(main/managers SRCS)
AUX_SOURCE_DIRECTORY(main/tools SRCS)
AUX_SOURCE_DIRECTORY(main/toolsystem SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/libi2d SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/ofstd SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/tls SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/tls/win-only SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/log4cplus SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/streaming SRCS)

AUX_SOURCE_DIRECTORY(commands SRCS)

AUX_SOURCE_DIRECTORY(net SRCS)

AUX_SOURCE_DIRECTORY(resources SRCS)

IF(NOT USE_SYSTEM_SQLITE)
AUX_SOURCE_DIRECTORY(sqlite SRCS)
ENDIF()

AUX_SOURCE_DIRECTORY(endpoint SRCS)

AUX_SOURCE_DIRECTORY(vtk SRCS)
AUX_SOURCE_DIRECTORY(vtk/command SRCS)
AUX_SOURCE_DIRECTORY(vtk/interactor SRCS)
AUX_SOURCE_DIRECTORY(vtk/widgets SRCS)

AUX_SOURCE_DIRECTORY(widgets SRCS)
AUX_SOURCE_DIRECTORY(widgets/gui SRCS)
AUX_SOURCE_DIRECTORY(widgets/observers SRCS)

AUX_SOURCE_DIRECTORY(wx SRCS)
AUX_SOURCE_DIRECTORY(wx/ginkgostyle SRCS)
AUX_SOURCE_DIRECTORY(wx/gnkinforme SRCS)
AUX_SOURCE_DIRECTORY(wx/iconoimagenctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/maskedtextctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/propgrid SRCS)
AUX_SOURCE_DIRECTORY(wx/propiedades SRCS)
AUX_SOURCE_DIRECTORY(wx/thumbnailctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/timectrl SRCS)
AUX_SOURCE_DIRECTORY(wx/treelistctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/VTK SRCS)
AUX_SOURCE_DIRECTORY(wx/wizardginkgo SRCS)
AUX_SOURCE_DIRECTORY(wx/wxsqlite3 SRCS)
AUX_SOURCE_DIRECTORY(wx/wxhttpengine SRCS)

AUX_SOURCE_DIRECTORY(VTKInria3D SRCS)
AUX_SOURCE_DIRECTORY(VTKInria3D/vtkVISUManagement SRCS)
AUX_SOURCE_DIRECTORY(VTKInria3D/wxVTK SRCS)

AUX_SOURCE_DIRECTORY(resources SRCS)

IF (LINUX OR MACOS)
	AUX_SOURCE_DIRECTORY(xmlrpc SRCS)
ENDIF()

IF (LINUX OR MACOS)
	LIST(REMOVE_ITEM SRCS endpoint/interfaces.cpp)
	LIST(REMOVE_ITEM SRCS endpoint/sockatmark.cpp)
ELSEIF(WINDOWS)
	SET(SRCS stdafx.cpp ${SRCS})
ENDIF()

################ DEFINITIONS ################

ADD_CORE_DEFINITIONS()

################ INCLUDE DIRECTORIES ################

SET(${PROJECT_NAME}_INCLUDE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/vtk
	${CMAKE_CURRENT_SOURCE_DIR}/itk
	${CMAKE_CURRENT_SOURCE_DIR}/wx
	${CMAKE_CURRENT_SOURCE_DIR}/wx/VTK
	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D
	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D/wxVTK
	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D/vtkRenderingAddons
	CACHE INTERNAL ""
)

INCLUDE_DIRECTORIES(${PROJECT_NAME} ${${PROJECT_NAME}_INCLUDE_DIR} )

################ LIBS ################

IF(USE_CUSTOM_WX)
	ADD_DEFINITIONS(${wxWidgets_defines})
	INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
	LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
	INCLUDE(${wxWidgets_USE_FILE})
	#MESSAGE("WXLIBS = ${wxWidgets_LIBRARIES} ")
ENDIF()

IF (USE_CUSTOM_VTK)
	ADD_DEFINITIONS(${VTK_defines})
	INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	INCLUDE(${VTK_USE_FILE})
	SET(VTK_LIBRARIES vtkCommon vtkGraphics vtkFiltering vtkHybrid vtkIO vtkRendering vtkImaging
	vtkGenericFiltering vtkWidgets vtkftgl vtkVolumeRendering vtkexoIIc vtkDICOMParser CACHE INTERNAL "")
	#MESSAGE("VTKLIBS = ${VTK_LIBRARIES}")
ENDIF()

IF(USE_CUSTOM_ITK)
	ADD_DEFINITIONS(${ITK_defines})
	INCLUDE_DIRECTORIES(${ITK_INCLUDE_DIR})
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	INCLUDE(${ITK_USE_FILE})
	#MESSAGE("ITKLIBS = ${ITK_LIBRARIES}")
ENDIF()

IF(USE_CUSTOM_DCMTK)
	ADD_DEFINITIONS(${DCMTK_defines})
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${DCMTK_DIR})
ELSE()
	ADD_DEFINITIONS(-DHAVE_CONFIG_H)
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIRS})
	#MESSAGE("DCMTKLIBS = ${DCMTK_LIBRARIES}")
	#MESSAGE("DCMTKINC = ${DCMTK_INCLUDE_DIRS}")
ENDIF()

ADD_DEFINITIONS(${Cairo_defines})
INCLUDE_DIRECTORIES(${Cairo_INCLUDE_DIR})
LINK_DIRECTORIES(${Cairo_LIB})

ADD_DEFINITIONS(${Pixman_defines})
INCLUDE_DIRECTORIES(${Pixman_INCLUDE_DIR})
LINK_DIRECTORIES(${Pixman_LIB})

IF (MACOS)
	ADD_DEFINITIONS(${XmlRpc++_defines})
	INCLUDE_DIRECTORIES(${XmlRpc++_INCLUDE_DIR})
	LINK_DIRECTORIES(${XmlRpc++_DIR})
ENDIF()

IF (LINUX)
	IF (GTK2_FOUND)
	  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
	ELSE ()
	  MESSAGE("-----------------GTK2 NOT FOUND--------------------")
	  INCLUDE_DIRECTORIES(/usr/include/gtk-2.0
	      /usr/include/atk-1.0
	      /usr/include/pango-1.0
	      /usr/include/gio-unix-2.0/
	      /usr/include/glib-2.0
	      /usr/lib/i386-linux-gnu/glib-2.0/include
	      /usr/include/freetype2
	      /usr/include/libpng12
	      /usr/lib/gtk-2.0/include
	      /usr/include/cairo
	      /usr/include/gdk-pixbuf-2.0
	      /usr/include/pixman-1
	  )  
	ENDIF ()
ENDIF()


################ TARGET ################

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SRCS} )
#ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})
SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	VERSION "${GINKGO_VERSION_STR}" SOVERSION "${GINKGO_VERSION_STR}"
	LINK_INTERFACE_LIBRARIES ""
	INSTALL_RPATH_USE_LINK_PATH FALSE )
#INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/ginkgocadx)

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/acquisition DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/big_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/cursors DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/history DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/logos DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/marking_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/menu_tabs DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/tool_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/wizards DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/angle_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/cine_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/grid_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/layout_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/magnifier_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/menu_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/progress_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/windowlevel_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/cadxcore.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/cadxcore.mo DESTINATION share/ginkgocadx/lang/de)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/el/cadxcore.mo DESTINATION share/ginkgocadx/lang/el)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/es/cadxcore.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/ja/cadxcore.mo DESTINATION share/ginkgocadx/lang/ja)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pl/cadxcore.mo DESTINATION share/ginkgocadx/lang/pl)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pt/cadxcore.mo DESTINATION share/ginkgocadx/lang/pt)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/cadxcore.mo DESTINATION share/ginkgocadx/lang/tr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/resources/conformance.xml DESTINATION share/ginkgocadx)
################ LIBS ################

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${VTK_LIBRARIES})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${ITK_LIBRARIES})

IF(USE_CUSTOM_DCMTK)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES})
ELSE()
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES} wrap)
ENDIF()

IF(USE_SYSTEM_SQLITE)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} sqlite3)
ENDIF()

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Cairo_LIBRARIES})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Pixman_LIBRARIES})

IF (MACOS)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${XmlRpc++_LIBRARIES})
ENDIF()

IF(LINUX)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${GTK2_LIBRARIES})
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ssl GL crypto xml2)
ENDIF()

IF(MACOS)
	FIND_LIBRARY( CARBON_LIB Carbon )
	FIND_LIBRARY( OPENGL_LIB OpenGL )
	
	MARK_AS_ADVANCED( CARBON_LIB OPENGL_LIB )

	SET(LIBS ${CARBON_LIB} ${OPENGL_LIB} )
	LIST( APPEND LIBS ssl crypto xml2 z )

	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LIBS})

	SET_TARGET_PROPERTIES( PROPERTIES LINK_FLAGS "-Wl ${XCODE_LINK_FLAGS}" )
	
ENDIF()

MESSAGE("OS=[${OS}], Arch=[${ARCH}], Target=[${CMAKE_BUILD_TYPE}], Project=[${PROJECT_NAME}]")

=== src/ginkgocadx/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(${GINKGO_PROJECT})

MESSAGE("GINKGO PROJECT = ${GINKGO_PROJECT}")

SET(SRCS main.cpp)

ADD_GINKGO_DEFINITIONS()

INCLUDE_DIRECTORIES(${CADxCore_INCLUDE_DIR})

IF(LINUX AND NOT CUSTOM_BUILD)
	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
	LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx" isSystemDir)
	IF("${isSystemDir}" STREQUAL "-1")
		SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	ENDIF()
ENDIF()

IF(USE_CUSTOM_WX)
        ADD_DEFINITIONS(${wxWidgets_defines})
        INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
        LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
        INCLUDE(${wxWidgets_USE_FILE})
	#MESSAGE("SYSTEM_WX: VL = ${VTK_DIR}")
        LINK_DIRECTORIES(${wxWidgets_DIR})
ENDIF()

IF (USE_CUSTOM_VTK)
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	#MESSAGE("SYSTEM_VTK: VL = ${VTK_DIR}")
	LINK_DIRECTORIES(${VTK_LIBRARY_DIRS})
ENDIF()


IF(USE_CUSTOM_ITK)
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	#MESSAGE("SYSTEM_ITK: IL = ${ITK_DIR}")
	LINK_DIRECTORIES(${ITK_DIR})
ENDIF()

IF(USE_CUSTOM_DCMTK)
	ADD_DEFINITIONS(${DCMTK_defines})
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${DCMTK_DIR})
ELSE()
	ADD_DEFINITIONS(-DHAVE_CONFIG_H)
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIRS})
	#MESSAGE("DCMTKLIBS = ${DCMTK_LIBRARIES}")
	#MESSAGE("DCMTKINC = ${DCMTK_INCLUDE_DIRS}")
ENDIF()

LINK_DIRECTORIES(${Cairo_DIR})
LINK_DIRECTORIES(${Pixman_DIR})
#LINK_DIRECTORIES(${XmlRpc++_DIR})

IF(MACOS)
	SET(SRCS ${SRCS}
		${CMAKE_CURRENT_SOURCE_DIR}/ginkgocadx.icns
		${CMAKE_CURRENT_SOURCE_DIR}/dcmdoc.icns
		${CMAKE_CURRENT_SOURCE_DIR}/../cadxcore/resources/conformance.xml
	)
	FOREACH(PLUGIN ${GINKGO_PLUGINS})
		EXECUTE_PROCESS(
			COMMAND /bin/bash -c "touch ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf"
		)
		SET(SRCS ${SRCS} ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf)
		SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf PROPERTIES MACOSX_PACKAGE_LOCATION PlugIns)
	ENDFOREACH()
	
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/ginkgocadx.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/dcmdoc.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/../cadxcore/resources/conformance.xml PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/PkgInfo PROPERTIES MACOSX_PACKAGE_LOCATION .)
	LINK_LIBRARIES(CADxCore)
ENDIF()

ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})

IF(LINUX)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME} CADxCore)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME} visualizator)
ENDIF()

IF(USE_CUSTOM_DCMTK)
	MESSAGE("DCMTK_LIBS= ${DCMTK_LIBRARIES}" )
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES})
ELSE()
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES} oflog dcmdsig dcmtls wrap)
ENDIF()
IF(LINUX)
	SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	LINK_INTERFACE_LIBRARIES ""
	CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")

	INSTALL(TARGETS ${PROJECT_NAME} DESTINATION bin)
ENDIF()

IF (MACOS)
	SET(DIRS
		$ {wxWidgets_DIR}
		${VTK_DIR}
		${ITK_DIR}
		${DCMTK_DIR}
		CADxCore
		${CMAKE_CURRENT_BINARY_DIR}/../cadxcore
	)
	MESSAGE("Directories: ${DIRS}")
	SET(GINKGO_PLUGINS "" CACHE PARENT_SCOPE "")

	SET(APPBUNDLE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app)
	SET(MACOSX_BUNDLE_GUI_IDENTIFIER "com.metaemotion.Ginkgo_CADx")
	SET(MACOSX_BUNDLE_BUNDLE_NAME ${PROJECT_NAME})
	SET(MACOSX_BUNDLE_VERSION ${GINKGO_VERSION_STR})
	
	CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/GinkgoCADx-Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)

	SET(LIBS)

	MESSAGE("PLUGINS = ${GINKGO_PLUGINS}")
	FOREACH(PLUGIN ${GINKGO_PLUGINS})
		LIST(APPEND LIBS ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/lib${PLUGIN}.dylib)
	ENDFOREACH()

	install(CODE 
	        " 
	        include(BundleUtilities) 
	        fixup_bundle(\"${APPBUNDLE}\" \"${LIBS}\" \"${DIRS}\") 
	        " 
	        COMPONENT Runtime 
	    )
		
	SET_TARGET_PROPERTIES(
		"${PROJECT_NAME}"
		PROPERTIES
			MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/Info.plist
		    LINK_FLAGS "-Wl ${XCODE_LINK_FLAGS}"
	)
ENDIF()

MESSAGE("OS=[${OS}], Arch=[${ARCH}], Target=[${CMAKE_BUILD_TYPE}], Project=[${PROJECT_NAME}]")

=== debian/changelog ===
ginkgocadx (3.1.0.498.20-1~exp0) experimental; urgency=low

  * New upstream release [December 2012].
    - "New version available" (Closes: #686376).
    - "Unable to close application" (Closes: #684990).
    - "Package appears to be non-free" (Closes: #688952).
  * new build-dependency: libfreetype6-dev
  * install upstream changelog.
  * install DICOM_Conformance-GinkgoCADx.pdf (docs).
  * disabled chrpath invocation, it is no longer needed.
  * patchworks:
    + fix-desktop.patch is updated to use "Graphics" as main cathegory.
    + fix-spelling.patch is updated.
    - fix-path.patch is dropped (applied-upstream).
    - fixwhatis.patch is dropped (applied-upstream).
  * updated lintian-overrides.
  * dropped obsolete "DM-Upload-Allowed: yes".
  * added "get-orig-source" target to recompress orig.tar.
  * append custom LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * Standards to 3.9.4.
  * debian/watch is updated to catch broader range of orig.tar file
    name patterns.
  * added -dbg package (commented).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 28 Jan 2013 04:56:27 +1100

ginkgocadx (2.14.0.4972-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control:
    + Build-Depends list is re-formatted and alphabetised.
    + added Dmitry to uploaders.
  * debian/copyright:
    + audit & update.
    + to copyright-format-1.0
    - removed '©' characters.
  * debian/rules:
    + pass CXXFLAGS and CPPFLAGS to fix Hardening.
    + pass --as-needed to reduce needless linking.
    + install missing desktop icon.
    + override dh_makeshlibs to avoid 'useless-call-to-ldconfig'.
    + .xz compression for .deb files.
    - removed needless calls to 'dpkg-buildflags' (cleanup).
  * new patches:
    + fix-desktop.patch to correct .desktop file validation.
    + fix-path.patch to fix FTBFS due to renamed files.
    + fix-spelling.patch to correct spelling (lintianisation).
  * lintian-overrides:
    - removed unused and incorrect entries.
    + added overrides for hardening false positives.
  * debian source compression to .xz

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Aug 2012 22:27:02 +1000

=== debian/control ===
Source: ginkgocadx
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
          ,Thorsten Alteholz <debian@alteholz.de>
          ,Mathieu Malaterre <mathieu.malaterre@gmail.com>
          ,Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,chrpath
              ,cmake (>= 2.8)
              ,libcairo2-dev (>= 1.8.10)
              ,libdcmtk2-dev (>= 3.6.0)
              ,libfftw3-dev
              ,libfreetype6-dev
              ,libgdcm2-dev
              ,libgtk2.0-dev
              ,libinsighttoolkit3-dev (>= 3.20.0)
              ,libmysqlclient-dev (>= 5.1.57)
              ,libsqlite3-dev
              ,libssl-dev
              ,libvtk5-dev (>= 5.6.0)
              ,libwrap0
              ,libwrap0-dev
              ,libwxgtk2.8-dev (>= 2.8.10)
              ,libxml2-dev
# upstream build system also checking for presence of the following packages
# that apparently are not used:
#              ,libgdcm-tools
#              ,libvtk5-qt4-dev
#              ,libvtkgdcm2-dev
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ginkgocadx/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
Homepage: http://ginkgo-cadx.com/

Package: ginkgocadx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Medical Imaging Software and complete DICOM Viewer
 Ginkgo CADx provides a complete DICOM viewer solution with advanced
 capabilities and support for extensions.
 .
  * Easy and customizable interface through profiles.
  * Full featured DICOM image visualization.
  * Complete tool set (measure, markers, text, ...).
  * Multiple modalities support (Neurological, Radiological, Dermatological,
    Ophthalmological, Ultrasound, Endoscopy, ...)
  * Dicomization support from JPEG, PNG, GIF and TIFF.
  * Full EMH integration support: HL7 standard and IHE compliant workflows.
  * PACS Workstation (C-FIND, C-MOVE, C-STORE...)
  * Extensible through custom extensions.
    - Retinal image mosaic composition.
    - Automatic retinal analysis diagnostics.
    - Psoriasis automatic diagnostics.

#Package: ginkgocadx-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: ginkgocadx (= ${binary:Version}), ${misc:Depends}
#Description: ginkgocadx -- debugging symbols
# Ginkgo CADx provides a complete DICOM viewer solution with advanced
# capabilities and support for extensions.
# .
#  * Easy and customizable interface through profiles.
#  * Full featured DICOM image visualization.
#  * Complete tool set (measure, markers, text, ...).
#  * Multiple modalities support (Neurological, Radiological, Dermatological,
#    Ophthalmological, Ultrasound, Endoscopy, ...)
#  * Dicomization support from JPEG, PNG, GIF and TIFF.
#  * Full EMH integration support: HL7 standard and IHE compliant workflows.
#  * PACS Workstation (C-FIND, C-MOVE, C-STORE...)
#  * Extensible through custom extensions.
#    - Retinal image mosaic composition.
#    - Automatic retinal analysis diagnostics.
#    - Psoriasis automatic diagnostics.
# .
# This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Ginkgo CADx

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')

DH=--buildsystem=cmake --sourcedirectory=src --parallel
%:
	dh $@ $(DH)

override_dh_auto_configure:
	dh_auto_configure $(DH) -- \
            -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
            -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
            -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="$(CXXFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install $(DH) --destdir=$(CURDIR)/debian/tmp
	
	## Hack around useless rpath definitions
	#/usr/bin/chrpath -r /usr/lib/ginkgocadx debian/$(PKG)/usr/bin/$(PKG)

override_dh_installchangelogs:
	dh_installchangelogs changelog_opensource.txt

## avoid post{inst|rm}-useless-call-to-ldconfig
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_strip:
	[ -d "$(CURDIR)/debian/$(PKG)-dbg" ] \
        && dh_strip --dbg-package=$(PKG)-dbg \
        || dh_strip

override_dh_builddeb:
	dh_builddeb -- -Zxz

#DTYPE := +dfsg
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 2 \
	|| $(RM) -r $(PKG)-$(VER)
	#@echo "# Clean-up..."
	#cd $(PKG)-$(VER) \
	#&& $(RM) -r -v src/ginkgocadx/*.ico
	@echo "# Correcting permissions..."
	chmod a-x $(PKG)-$(VER)/src/cadxcore/resources/conformance.xml
	find $(PKG)-$(VER) -type f -executable -exec chmod a-x '{}' \;
	@echo "# Packing..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
## Use "debian/rules get-orig-source" to get recompressed orig.tar
## with corrected permissions.

version=3

## Redirector http://qa.debian.org/watch/sf.php/ginkgocadx
 http://sf.net/ginkgocadx/ginkgocadx-([0-9.]+)\.(?:tgz|tar\.gz|tar\.xz|tar\.bz2)

## ginkgocadx 3.4.0.928.29+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.1.0 CACHE STRING "Mayor version number")
-SET( GINKGO_REVISION 498 CACHE STRING "Incremental revision number")
-SET( GINKGO_BUILD 20 CACHE STRING "Incremental build number")
+SET( GINKGO_VERSION 3.4.0 CACHE STRING "Mayor version number")
+SET( GINKGO_REVISION 928 CACHE STRING "Incremental revision number")
+SET( GINKGO_BUILD 29 CACHE STRING "Incremental build number")
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -36,6 +36,12 @@
 INCLUDE(SysDefs)
 
 #############################################################################################
+
+#doesn't work... using custom build
+#IF(LINUX)
+#FIND_PACKAGE(LIBCURL REQUIRED)
+#ENDIF()
+SET_CUSTOM_libcurl_PACKAGE()
 
 IF(LINUX)
 FIND_PACKAGE(GTK2 REQUIRED)

=== src/cadxcore/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
 AUX_SOURCE_DIRECTORY(main/gui/dicomdirexport SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/dicomdirmigration SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/export SRCS)
+AUX_SOURCE_DIRECTORY(main/gui/ginkgocloud SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/history3 SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/hl7controlwindow SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/import SRCS)
@@ -76,6 +77,8 @@
 AUX_SOURCE_DIRECTORY(sqlite SRCS)
 ENDIF()
 
+AUX_SOURCE_DIRECTORY(jsoncpp SRCS)
+
 AUX_SOURCE_DIRECTORY(endpoint SRCS)
 
 AUX_SOURCE_DIRECTORY(vtk SRCS)
@@ -133,13 +136,17 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/wx/VTK
 	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D
 	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D/wxVTK
-	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D/vtkRenderingAddons
+	${CMAKE_CURRENT_SOURCE_DIR}/jsoncpp
 	CACHE INTERNAL ""
 )
 
 INCLUDE_DIRECTORIES(${PROJECT_NAME} ${${PROJECT_NAME}_INCLUDE_DIR} )
 
 ################ LIBS ################
+ADD_DEFINITIONS(${libcurl_defines})
+INCLUDE_DIRECTORIES(${libcurl_INCLUDE_DIR})
+LINK_DIRECTORIES(${libcurl_DIR})
+#MESSAGE("LIBCURLLibx = ${libcurl_LIBRARIES} LIBCURL_include = ${libcurl_INCLUDE_DIR}  LIBCURL_LINK_DIR= ${libcurl_DIR} LIBCURL_DEFINES=${libcurl_defines}")
 
 IF(USE_CUSTOM_WX)
 	ADD_DEFINITIONS(${wxWidgets_defines})
@@ -254,6 +261,7 @@
 INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/cadxcore.mo DESTINATION share/ginkgocadx/lang/tr)
 INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/resources/conformance.xml DESTINATION share/ginkgocadx)
 ################ LIBS ################
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${libcurl_LIBRARIES})
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})

=== debian/changelog ===
ginkgocadx (3.4.0.928.29+dfsg-1) unstable; urgency=low

  * New upstream release [July 2013]
    + new B-D: "libjsoncpp-dev".
    + new patch "unbundle-libjsoncpp.patch" to avoid building bundled
      "libjsoncpp-dev".
    + new patch "fix-wx.patch" to avoid FTBFS due to missing
      "-lwx_gtk2u_html-2.8".
  * Removed unnecessary versioned Build-Depends.
  * Removed obsolete lintian override.
  * Reference get-orig-source implementation for orig.tar clean-up and
    DFSG-repackaging.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Jul 2013 11:58:53 +1000

ginkgocadx (3.2.0.634.25-1~exp0) experimental; urgency=low

  [ Mathieu Malaterre ]
  * Remove self from main list

  [ Dmitry Smirnov ]
  * New upstream release [February 2013]
    + new B-D: "libcurl4-gnutls-dev".
  * Updated my email address.
  * Dropped all patches (applied-upstream).
  * Updated Vcs fields to use canonical URLs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Mar 2013 22:34:44 +1100

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
           ,Thorsten Alteholz <debian@alteholz.de>
-          ,Mathieu Malaterre <mathieu.malaterre@gmail.com>
-          ,Dmitry Smirnov <onlyjob@member.fsf.org>
+          ,Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9)
               ,chrpath
-              ,cmake (>= 2.8)
-              ,libcairo2-dev (>= 1.8.10)
-              ,libdcmtk2-dev (>= 3.6.0)
+              ,cmake
+              ,libcairo2-dev
+              ,libcurl4-gnutls-dev
+              ,libdcmtk2-dev
               ,libfftw3-dev
               ,libfreetype6-dev
               ,libgdcm2-dev
               ,libgtk2.0-dev
               ,libinsighttoolkit3-dev (>= 3.20.0)
+              ,libjsoncpp-dev
               ,libmysqlclient-dev (>= 5.1.57)
               ,libsqlite3-dev
               ,libssl-dev
               ,libvtk5-dev (>= 5.6.0)
               ,libwrap0
               ,libwrap0-dev
-              ,libwxgtk2.8-dev (>= 2.8.10)
+              ,libwxgtk2.8-dev
               ,libxml2-dev
 # upstream build system also checking for presence of the following packages
 # that apparently are not used:
@@ -30,8 +31,8 @@
 #              ,libvtk5-qt4-dev
 #              ,libvtkgdcm2-dev
 Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ginkgocadx/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
 Homepage: http://ginkgo-cadx.com/
 
 Package: ginkgocadx

## ginkgocadx 3.5.0.1137.31+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.4.0 CACHE STRING "Mayor version number")
-SET( GINKGO_REVISION 928 CACHE STRING "Incremental revision number")
-SET( GINKGO_BUILD 29 CACHE STRING "Incremental build number")
+SET( GINKGO_VERSION 3.5.0 CACHE STRING "Mayor version number")
+SET( GINKGO_REVISION 1137 CACHE STRING "Incremental revision number")
+SET( GINKGO_BUILD 31 CACHE STRING "Incremental build number")
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")

=== debian/changelog ===
ginkgocadx (3.5.0.1137.31+dfsg-2) unstable; urgency=medium

  * Standards-Version: 3.9.5 (no changes needed)
  * Remove Build-Depends: libgdcm2-dev
    Closes: #731917

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2013 22:32:54 +0100

ginkgocadx (3.5.0.1137.31+dfsg-1) unstable; urgency=low

  * New upstream release [October 2013]

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2013 21:28:17 +1100

## ginkgocadx 3.6.0.1228.33+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.5.0 CACHE STRING "Mayor version number")
-SET( GINKGO_REVISION 1137 CACHE STRING "Incremental revision number")
-SET( GINKGO_BUILD 31 CACHE STRING "Incremental build number")
+SET( GINKGO_VERSION 3.6.0 CACHE STRING "Mayor version number")
+SET( GINKGO_REVISION 1228 CACHE STRING "Incremental revision number")
+SET( GINKGO_BUILD 33 CACHE STRING "Incremental build number")
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")

=== src/cadxcore/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 AUX_SOURCE_DIRECTORY(api SRCS)
 AUX_SOURCE_DIRECTORY(api/controllers SRCS)
+AUX_SOURCE_DIRECTORY(api/controllers/proxies SRCS)
 AUX_SOURCE_DIRECTORY(api/helpers SRCS)
 AUX_SOURCE_DIRECTORY(api/math SRCS)
 AUX_SOURCE_DIRECTORY(api/observers SRCS)

=== src/ginkgocadx/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,11 @@
 		SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
 	ENDIF()
 ENDIF()
+
+ADD_DEFINITIONS(${libcurl_defines})
+INCLUDE_DIRECTORIES(${libcurl_INCLUDE_DIR})
+LINK_DIRECTORIES(${libcurl_DIR})
+
 
 IF(USE_CUSTOM_WX)
         ADD_DEFINITIONS(${wxWidgets_defines})
@@ -105,7 +110,7 @@
 
 IF (MACOS)
 	SET(DIRS
-		$ {wxWidgets_DIR}
+		${wxWidgets_DIR}
 		${VTK_DIR}
 		${ITK_DIR}
 		${DCMTK_DIR}

=== src/visualizator/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(visualizator)

################ SOURCES ################

SET(SRCS visualizator.cpp)
AUX_SOURCE_DIRECTORY(visualizator/commands SRCS)
AUX_SOURCE_DIRECTORY(visualizator/controllers SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos/importacion SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos/seleccionardiagnostico SRCS)
AUX_SOURCE_DIRECTORY(visualizator/estudios SRCS)
AUX_SOURCE_DIRECTORY(visualizator/herramientas SRCS)
AUX_SOURCE_DIRECTORY(visualizator/vistas SRCS)
AUX_SOURCE_DIRECTORY(visualizator/widgets SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export/contracts SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export/tools SRCS)
AUX_SOURCE_DIRECTORY(visualizator/tools SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/commands SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/interactors SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/pipelines SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/volumedataset SRCS)
AUX_SOURCE_DIRECTORY(resources SRCS)

################ DEFINITIONS ################

ADD_EXTENSION_DEFINITIONS()
ADD_DEFINITIONS(-DMONOLITIC)

################ INCLUDE DIRECTORIES ################

SET(${PROJECT_NAME}_INCLUDE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/comandos
	${CMAKE_CURRENT_SOURCE_DIR}/controllers
	${CMAKE_CURRENT_SOURCE_DIR}/dialogos
	${CMAKE_CURRENT_SOURCE_DIR}/estudios
	${CMAKE_CURRENT_SOURCE_DIR}/eventos
	${CMAKE_CURRENT_SOURCE_DIR}/exportacion
	${CMAKE_CURRENT_SOURCE_DIR}/herramientas
	${CMAKE_CURRENT_SOURCE_DIR}/vistas
	${CMAKE_CURRENT_SOURCE_DIR}/widgets
	${CMAKE_CURRENT_SOURCE_DIR}/wxvtk
	CACHE INTERNAL ""
)

INCLUDE_DIRECTORIES(${CADxCore_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${${PROJECT_NAME}_INCLUDE_DIR})

IF(USE_CUSTOM_WX)
	ADD_DEFINITIONS(${wxWidgets_defines})
	INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
	LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
	INCLUDE(${wxWidgets_USE_FILE})
	#MESSAGE("WXLIBS = ${wxWidgets_LIBRARIES} ")
ENDIF()


IF (USE_CUSTOM_VTK)
	ADD_DEFINITIONS(${VTK_defines})
	INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	INCLUDE(${VTK_USE_FILE})
	SET(VTK_LIBRARIES vtkCommon vtkGraphics vtkFiltering vtkHybrid vtkIO vtkRendering vtkImaging
	vtkGenericFiltering vtkWidgets vtkftgl vtkVolumeRendering vtkexoIIc vtkDICOMParser CACHE INTERNAL "")
	#MESSAGE("VTKLIBS = ${VTK_LIBRARIES}")
ENDIF()



IF(USE_CUSTOM_ITK)
	ADD_DEFINITIONS(${ITK_defines})
	INCLUDE_DIRECTORIES(${ITK_INCLUDE_DIR})
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	INCLUDE(${ITK_USE_FILE})
	#MESSAGE("ITKLIBS = ${ITK_LIBRARIES}")
ENDIF()

ADD_DEFINITIONS(${Cairo_defines})
INCLUDE_DIRECTORIES(${Cairo_INCLUDE_DIR})
LINK_DIRECTORIES(${Cairo_LIB})

ADD_DEFINITIONS(${Pixman_defines})
INCLUDE_DIRECTORIES(${Pixman_INCLUDE_DIR})
LINK_DIRECTORIES(${Pixman_LIB})

################ TARGET ################

IF(LINUX AND NOT CUSTOM_PACKAGE)
	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
	LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx" isSystemDir)
	IF("${isSystemDir}" STREQUAL "-1")
		SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	ENDIF()
ENDIF()

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SRCS} )
#ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})

IF(LINUX)
	SET(LIBNAME "lib${PROJECT_NAME}.so.${GINKGO_VERSION_STR}")
ENDIF()
IF(MACOS)
	SET(LIBNAME "lib${PROJECT_NAME}.${GINKGO_VERSION_STR}.dylib")
ENDIF()

#ADD_CUSTOM_COMMAND( TARGET ${PROJECT_NAME} POST_BUILD COMMAND /bin/sh ARGS "${CMAKE_CURRENT_SOURCE_DIR}/../ginkgocadx/build_descriptor.sh" "${CMAKE_CURRENT_SOURCE_DIR}" "${LIBNAME}" "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.inf" "${GINKGO_VERSION}" "${GINKGO_SUB_VERSION}")

SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	VERSION "${GINKGO_VERSION_STR}" SOVERSION "${GINKGO_VERSION_STR}"
	LINK_INTERFACE_LIBRARIES ""
	INSTALL_RPATH_USE_LINK_PATH FALSE )

#INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/ginkgocadx/Plugins)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.inf DESTINATION lib/ginkgocadx/Plugins)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/3d_bar DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/logos DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/synchronization_bar DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/tool_icons DESTINATION share/ginkgocadx/resources/visualizator)

INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/visualizator.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/visualizator.mo DESTINATION share/ginkgocadx/lang/de)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/el/visualizator.mo DESTINATION share/ginkgocadx/lang/el)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/es/visualizator.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/ja/visualizator.mo DESTINATION share/ginkgocadx/lang/ja)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pl/visualizator.mo DESTINATION share/ginkgocadx/lang/pl)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pt/visualizator.mo DESTINATION share/ginkgocadx/lang/pt)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/visualizator.mo DESTINATION share/ginkgocadx/lang/tr)
################ LIBS ################

TARGET_LINK_LIBRARIES(${PROJECT_NAME} CADxCore)


TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${VTK_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${ITK_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Cairo_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Pixman_LIBRARIES})

IF (LINUX)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} GL xml2)
ENDIF()

IF(MACOS)
	FIND_LIBRARY( CARBON_LIB Carbon )
	FIND_LIBRARY( OPENGL_LIB OpenGL )
	
	MARK_AS_ADVANCED( CARBON_LIB OPENGL_LIB )

	SET(LIBS ${CARBON_LIB} ${OPENGL_LIB} )
	LIST( APPEND LIBS xml2 z )

	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LIBS})

	SET_TARGET_PROPERTIES( PROPERTIES LINK_FLAGS "-Wl ${XCODE_LINK_FLAGS}" )
	
ENDIF()

MESSAGE("OS=[${OS}], Arch=[${ARCH}], Target=[${CMAKE_BUILD_TYPE}], Project=[${PROJECT_NAME}]")

=== debian/changelog ===
ginkgocadx (3.6.0.1228.33+dfsg-1) unstable; urgency=low

  * New upstream release [December 2013]

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jan 2014 07:37:09 +1100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
               ,libdcmtk2-dev
               ,libfftw3-dev
               ,libfreetype6-dev
-              ,libgdcm2-dev
               ,libgtk2.0-dev
               ,libinsighttoolkit3-dev (>= 3.20.0)
               ,libjsoncpp-dev
@@ -30,7 +29,7 @@
 #              ,libgdcm-tools
 #              ,libvtk5-qt4-dev
 #              ,libvtkgdcm2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
 Homepage: http://ginkgo-cadx.com/

=== debian/rules ===
--- 
+++ 
@@ -43,24 +43,26 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-#DTYPE := +dfsg
+## http://wiki.debian.org/onlyjob/get-orig-source
+DTYPE := +dfsg
 .PHONY: get-orig-source
-get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
 
 $(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	@echo "# Downloading..."
 	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
-	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 2 \
-	|| $(RM) -r $(PKG)-$(VER)
-	#@echo "# Clean-up..."
-	#cd $(PKG)-$(VER) \
-	#&& $(RM) -r -v src/ginkgocadx/*.ico
+        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 2 \
+        || $(RM) -r $(PKG)-$(VER)
+	@echo "# Clean-up..."
+	cd $(PKG)-$(VER) \
+        && $(RM) -r -v src/cadxcore/jsoncpp
 	@echo "# Correcting permissions..."
-	chmod a-x $(PKG)-$(VER)/src/cadxcore/resources/conformance.xml
-	find $(PKG)-$(VER) -type f -executable -exec chmod a-x '{}' \;
+	find $(PKG)-$(VER) -type f -executable -exec chmod --changes a-x '{}' \;
 	@echo "# Packing..."
-	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
-	&& $(RM) -r "$(PKG)-$(VER)"
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
+        && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
## Use "debian/rules get-orig-source" to get DFSG-repackaged orig.tar
## with corrected permissions.

version=3

## Redirector http://qa.debian.org/watch/sf.php/ginkgocadx
opts="dversionmangle=s/\+dfsg//" \
 http://sf.net/ginkgocadx/ginkgocadx-([0-9.]+)\.(?:tgz|tar\.gz|tar\.xz|tar\.bz2)

## ginkgocadx 3.6.1.1367.34+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.6.0 CACHE STRING "Mayor version number")
-SET( GINKGO_REVISION 1228 CACHE STRING "Incremental revision number")
-SET( GINKGO_BUILD 33 CACHE STRING "Incremental build number")
+SET( GINKGO_VERSION 3.6.1 CACHE STRING "Mayor version number")
+SET( GINKGO_REVISION 1367 CACHE STRING "Incremental revision number")
+SET( GINKGO_BUILD 34 CACHE STRING "Incremental build number")
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -53,7 +53,7 @@
 
 IF(NOT USE_CUSTOM_WX)
 MESSAGE("Using system wxWidgets")
-FIND_PACKAGE(wxWidgets 2.8.11 COMPONENTS core base gl net xml aui adv richtext xrc REQUIRED)
+FIND_PACKAGE(wxWidgets 3.0.0 COMPONENTS core base gl net xml aui adv richtext xrc REQUIRED)
 ELSE()
 MESSAGE("Using custom wxWidgets")
 SET_CUSTOM_wxWidgets_PACKAGE()

=== debian/changelog ===
ginkgocadx (3.6.1.1367.34+dfsg-1) unstable; urgency=medium

  * New upstream version (adapt patches)
  * Build-Depend: libwxgtk3.0-dev (>= 3.0.1-2~ due to a gcc bug) and
    Patch from Olly Betts (thanks to Olly for his help)
    Closes: #749487

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jun 2014 08:20:07 +0200
